<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        * {
            padding: 0;
            margin: 0;
            box-sizing: border-box;
            color: white;
            font-size: x-large;
        }

        header {
            background-color: lightblue;

        }

        header,
        footer {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 15vh;
        }

        .main {
            width: 60%;
            height: 70vh;
            margin: 10px;
            margin-left: 20%;
            background-size: cover;
            display: grid;
            grid-template-rows: repeat(2, 50%);
            grid-template-columns: repeat(10, 10%);
            grid-template-areas:
                "main main main main main main side side side side"
                "twin twin twin twin twin twin2 twin2 twin2 twin2 twin2";
            gap: 5px;
            justify-content: center;
            align-content: center;
            background: url(css.png) no-repeat;
            background-size: contain;
            background-position: center;

        }

        .main * {
            padding: 10px;
            display: flex;
            justify-content: center;
            align-items: center;
            opacity: 80%;
        }

        .main-content {
            background-color: lightgreen;
            grid-area: main;

        }

        .sidebar {
            flex-basis: 0%;
            background-color: hotpink;
            grid-area: side;
        }

        .twin {
            background-color: orange;
        }

        #twin1 {
            grid-area: twin;
        }

        #twin2 {
            grid-area: twin2;
        }

        footer {
            background-color: darkturquoise;
        }
    </style>
</head>

<body>
    <header>.header</header>
    <div class="main">
        <div class="main-content">.main-content</div>
        <div class="sidebar">.sidebar</div>
        <div class="twin" id="twin1">.twin</div>
        <div class="twin" id="twin2">.twin</div>
    </div>
    <footer>.footer</footer>
</body>

</html>